function p_bar_grad = p_bar_grad_fn(ind, theta)

%This function computes the gradient of the fitted probabilities wrt psi in terms of the transformed
%parameter theta.  ind is a 3-by-1 vector denoting the values of
%(y,d,z) in the fitted probability. theta=(alpha,delta,xi1,xi2,pi)=(psi,pi)

if ind == [0;0;0]
    p_bar_grad = [0;-1;0;-1];
elseif ind == [0;0;1]
    p_bar_grad = [(theta(5)*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2)))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)) - 1;
         real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2))/2 - real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1)))/2 - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)) - ((real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1))) - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2)))*(theta(1) + theta(2)))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)) + (real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(theta(1) + theta(2))*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1) + theta(5)*(real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1)))/2 - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2))/2)*(theta(1) + theta(2) - 1)))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) - 1;
         0;
         real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))/2 + (real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))*(theta(1) + theta(2)))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)) - (theta(5)*real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(theta(1) + theta(2))*(theta(1) + theta(2) - 1))/(4*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2)];
elseif ind == [0;1;0]
    p_bar_grad = [0;1;-1;0];
elseif ind == [0;1;1]
    p_bar_grad = [(theta(3)*(theta(5)*(theta(2) - 1) + 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) + 1;
        (theta(3)*(theta(5)*(theta(2) - 1) + 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) + (theta(3)*theta(5)*(theta(1) + theta(2)))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*(theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1) + theta(5)*((theta(3)*theta(5))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(1) + theta(2) - 1)))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*(theta(3)*theta(5) + 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2) + 1;
        ((theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2)))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*(theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(5)*(theta(2) - 1) + 1)/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(1) + theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1)));
        0];
elseif ind == [1;0;0]
    p_bar_grad = [0;0;0;1];
elseif ind == [1;0;1]
    p_bar_grad = [real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)) - (theta(5)*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2)))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2);
        real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1)))/2 - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2))/2 + real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)) + ((real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1))) - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2)))*(theta(1) + theta(2)))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)) - (real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(theta(1) + theta(2))*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1) + theta(5)*(real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1)))/2 - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2))/2)*(theta(1) + theta(2) - 1)))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2);
        0;
        (theta(5)*real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(theta(1) + theta(2))*(theta(1) + theta(2) - 1))/(4*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) - (real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))*(theta(1) + theta(2)))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)) - real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))/2];
elseif ind == [1;1;0]
    p_bar_grad = [0;0;1;0];
elseif ind == [1;1;1]
    p_bar_grad = [(theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (theta(3)*(theta(5)*(theta(2) - 1) + 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1)));
        (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*(theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1) + theta(5)*((theta(3)*theta(5))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(1) + theta(2) - 1)))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (theta(3)*theta(5)*(theta(1) + theta(2)))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (theta(3)*(theta(5)*(theta(2) - 1) + 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) + (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*(theta(3)*theta(5) + 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2);
        (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*(theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2) - ((theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2)))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) + (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(5)*(theta(2) - 1) + 1)/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(1) + theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1)));
        0];
end
