function p_bar_hess = p_bar_hess_fn(ind, theta)

%This function computes the Hessian of the fitted probabilities wrt psi (first four elements of theta) in terms of the transformed
%parameter theta.  Index is a 3-by-1 vector denoting the values of
%(y,d,z) in the fitted probability. theta=(alpha,delta,xi1,xi2,pi)=(psi,pi)

p_bar_hess = zeros(4,4);

if ind == [0;0;0]
    p_bar_hess = zeros(4,4);
elseif ind == [0;0;1]
    p_bar_hess(1,1) = (theta(5)*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1))/(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2 - (theta(5)^2*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)^2*(theta(1) + theta(2)))/(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^3;
    p_bar_hess(1,2) = (real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1) + theta(5)*(real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1)))/2 - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2))/2)*(theta(1) + theta(2) - 1)))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) - (real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1))) - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2)))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)) + (theta(5)*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) + (theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1))) - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2)))*(theta(1) + theta(2)))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) + (theta(5)*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(theta(1) + theta(2))*(real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1)))/2 - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2))/2))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) - (theta(5)*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2))*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1) + theta(5)*(real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1)))/2 - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2))/2)*(theta(1) + theta(2) - 1)))/(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^3;
    p_bar_hess(1,3) = 0;
    p_bar_hess(1,4) = real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)) - (theta(5)*real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2)))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) - (theta(5)*real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(theta(1) + theta(2)))/(4*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) - (theta(5)*real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(theta(1) + theta(2) - 1))/(4*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) + (theta(5)^2*real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2))*(theta(1) + theta(2) - 1))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^3);
    p_bar_hess(2,1) = (real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1) + theta(5)*(real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1)))/2 - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2))/2)*(theta(1) + theta(2) - 1)))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) - (real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1))) - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2)))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)) + (theta(5)*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) + (theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1))) - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2)))*(theta(1) + theta(2)))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) + (theta(5)*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(theta(1) + theta(2))*(real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1)))/2 - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2))/2))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) - (theta(5)*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2))*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1) + theta(5)*(real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1)))/2 - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2))/2)*(theta(1) + theta(2) - 1)))/(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^3;
    p_bar_hess(2,2) = real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1)^2)) + real(((2*(theta(5) + theta(4)*theta(5) - 1)^2 - 8*theta(4)*theta(5)^2)/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))^2/(4*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(3/2)))/(theta(5)*(theta(2) - 1)))/2 - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^3)) - (real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1))) - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2)))/(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1) + ((theta(1) + theta(2))*(2*real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1)^2)) + real(((2*(theta(5) + theta(4)*theta(5) - 1)^2 - 8*theta(4)*theta(5)^2)/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))^2/(4*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(3/2)))/(theta(5)*(theta(2) - 1))) - 2*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^3))))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)) + (real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1) + theta(5)*(real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1)))/2 - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2))/2)*(theta(1) + theta(2) - 1)))/(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2 + (real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(theta(1) + theta(2))*(2*theta(5)*(real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1)))/2 - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2))/2) - theta(5)*(theta(1) + theta(2) - 1)*(real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1)^2)) + real(((2*(theta(5) + theta(4)*theta(5) - 1)^2 - 8*theta(4)*theta(5)^2)/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))^2/(4*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(3/2)))/(theta(5)*(theta(2) - 1)))/2 - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^3)))))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) + ((real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1))) - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2)))*(theta(1) + theta(2))*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1) + theta(5)*(real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1)))/2 - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2))/2)*(theta(1) + theta(2) - 1)))/(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2 - (real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(theta(1) + theta(2))*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1) + theta(5)*(real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1)))/2 - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2))/2)*(theta(1) + theta(2) - 1))^2)/(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^3;
    p_bar_hess(2,3) = 0;
    p_bar_hess(2,4) = real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)) - real((theta(5) + (4*theta(5)^2*(theta(2) - 1) - 2*theta(5)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*theta(5)*(theta(2) - 1)*(theta(5) + theta(4)*theta(5) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - ((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))*(4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1)))/(4*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(3/2)))/(theta(5)*(theta(2) - 1)))/2 - real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)^2))/2 - ((real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)^2)) + real((theta(5) + (4*theta(5)^2*(theta(2) - 1) - 2*theta(5)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*theta(5)*(theta(2) - 1)*(theta(5) + theta(4)*theta(5) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - ((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))*(4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1)))/(4*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(3/2)))/(theta(5)*(theta(2) - 1))))*(theta(1) + theta(2)))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)) - (real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(theta(1) + theta(2))*((theta(5)*real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1))))/2 - theta(5)*(real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)^2))/2 + real((theta(5) + (4*theta(5)^2*(theta(2) - 1) - 2*theta(5)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*theta(5)*(theta(2) - 1)*(theta(5) + theta(4)*theta(5) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - ((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))*(4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1)))/(4*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(3/2)))/(theta(5)*(theta(2) - 1)))/2)*(theta(1) + theta(2) - 1)))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) - (real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))*(theta(1) + theta(2))*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1) + theta(5)*(real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1)))/2 - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2))/2)*(theta(1) + theta(2) - 1)))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) - (theta(5)*real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(theta(1) + theta(2) - 1))/(4*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) - (theta(5)*real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))*(real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1))) - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2)))*(theta(1) + theta(2))*(theta(1) + theta(2) - 1))/(4*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) + (theta(5)*real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(theta(1) + theta(2))*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1) + theta(5)*(real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1)))/2 - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2))/2)*(theta(1) + theta(2) - 1))*(theta(1) + theta(2) - 1))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^3);
    p_bar_hess(3,1) = 0;
    p_bar_hess(3,2) = 0;
    p_bar_hess(3,3) = 0;
    p_bar_hess(3,4) = 0;
    p_bar_hess(4,1) = real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)) - (theta(5)*real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2)))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) - (theta(5)*real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(theta(1) + theta(2)))/(4*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) - (theta(5)*real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(theta(1) + theta(2) - 1))/(4*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) + (theta(5)^2*real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2))*(theta(1) + theta(2) - 1))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^3);
    p_bar_hess(4,2) = real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)) - real((theta(5) + (4*theta(5)^2*(theta(2) - 1) - 2*theta(5)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*theta(5)*(theta(2) - 1)*(theta(5) + theta(4)*theta(5) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - ((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))*(4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1)))/(4*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(3/2)))/(theta(5)*(theta(2) - 1)))/2 - real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)^2))/2 - ((real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)^2)) + real((theta(5) + (4*theta(5)^2*(theta(2) - 1) - 2*theta(5)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*theta(5)*(theta(2) - 1)*(theta(5) + theta(4)*theta(5) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - ((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))*(4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1)))/(4*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(3/2)))/(theta(5)*(theta(2) - 1))))*(theta(1) + theta(2)))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)) - (real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))*(theta(1) + theta(2))*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1) + theta(5)*(real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1)))/2 - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2))/2)*(theta(1) + theta(2) - 1)))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) - (theta(5)*real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(theta(1) + theta(2)))/(4*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) - (theta(5)*real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(theta(1) + theta(2) - 1))/(4*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) - (theta(5)*real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))*(real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1))) - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2)))*(theta(1) + theta(2))*(theta(1) + theta(2) - 1))/(4*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) + (theta(5)*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)^2)) + real((theta(5) + (4*theta(5)^2*(theta(2) - 1) - 2*theta(5)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*theta(5)*(theta(2) - 1)*(theta(5) + theta(4)*theta(5) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - ((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))*(4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1)))/(4*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(3/2)))/(theta(5)*(theta(2) - 1))))*(theta(1) + theta(2))*(theta(1) + theta(2) - 1))/(4*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) + (theta(5)*real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(theta(1) + theta(2))*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1) + theta(5)*(real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1)))/2 - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2))/2)*(theta(1) + theta(2) - 1))*(theta(1) + theta(2) - 1))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^3);
    p_bar_hess(4,3) = 0;
    p_bar_hess(4,4) = (theta(5)*real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))^2*(theta(1) + theta(2))*(theta(1) + theta(2) - 1))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) - (real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^2/(4*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(3/2)) - (theta(5)^2*(theta(2) - 1)^2)/((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2))/(theta(5)*(theta(2) - 1)))*(theta(1) + theta(2)))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)) - real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^2/(4*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(3/2)) - (theta(5)^2*(theta(2) - 1)^2)/((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2))/(theta(5)*(theta(2) - 1)))/2 - (theta(5)^2*real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))^2*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(theta(1) + theta(2))*(theta(1) + theta(2) - 1)^2)/(4*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^3) + (theta(5)*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^2/(4*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(3/2)) - (theta(5)^2*(theta(2) - 1)^2)/((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2))/(theta(5)*(theta(2) - 1)))*(theta(1) + theta(2))*(theta(1) + theta(2) - 1))/(4*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2);
elseif ind == [0;1;0]
    p_bar_hess = zeros(4,4);
elseif ind == [0;1;1]
    p_bar_hess(1,1) = (2*theta(3)*theta(5)^2*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)^2)/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^3*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (2*theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1)));
    p_bar_hess(1,2) = (theta(3)*theta(5))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1) + theta(5)*((theta(3)*theta(5))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(1) + theta(2) - 1)))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2) - (theta(3)*theta(5)^2*(theta(1) + theta(2))*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(3)*theta(5))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) + (2*theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1) + theta(5)*((theta(3)*theta(5))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(1) + theta(2) - 1)))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^3*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) + (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(3)*theta(5) + 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2);
    p_bar_hess(1,3) = (theta(5)*(theta(2) - 1) + 1)/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(5)*(theta(2) - 1) + 1)/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*((theta(5)*(theta(2) - 1) + 1)/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(1) + theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) + (theta(3)*theta(5)^2*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2) + (2*theta(3)*theta(5)^2*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(5)*(theta(2) - 1) + 1)/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^3*(theta(2) + theta(3)*theta(5)*(theta(2) - 1)));
    p_bar_hess(1,4) = 0;
    p_bar_hess(2,1) = (theta(3)*theta(5))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1) + theta(5)*((theta(3)*theta(5))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(1) + theta(2) - 1)))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2) - (theta(3)*theta(5)^2*(theta(1) + theta(2))*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(3)*theta(5))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) + (2*theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1) + theta(5)*((theta(3)*theta(5))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(1) + theta(2) - 1)))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^3*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) + (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(3)*theta(5) + 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2);
    p_bar_hess(2,2) = (2*theta(3)*theta(5))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (2*theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1) + theta(5)*((theta(3)*theta(5))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(1) + theta(2) - 1)))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (2*theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2) - (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*(2*theta(5)*((theta(3)*theta(5))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2) + theta(5)*((2*theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1)^2)/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^3 - (2*theta(3)*theta(5)*(theta(3)*theta(5) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(1) + theta(2) - 1)))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) + (2*theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*(theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1) + theta(5)*((theta(3)*theta(5))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(1) + theta(2) - 1))^2)/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^3*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) + (2*theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*(theta(3)*theta(5) + 1)^2)/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^3) - (2*theta(3)*theta(5)*(theta(1) + theta(2))*(theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1) + theta(5)*((theta(3)*theta(5))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(1) + theta(2) - 1)))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (2*theta(3)*theta(5)*(theta(1) + theta(2))*(theta(3)*theta(5) + 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2) + (2*theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*(theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1) + theta(5)*((theta(3)*theta(5))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(1) + theta(2) - 1))*(theta(3)*theta(5) + 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2);
    p_bar_hess(2,3) = (theta(5)*(theta(2) - 1) + 1)/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) + (theta(5)*(theta(1) + theta(2)))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - ((theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*(theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1) + theta(5)*((theta(3)*theta(5))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(1) + theta(2) - 1)))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - ((theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*(theta(3)*theta(5) + 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2) - (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(5)*((theta(5)*(theta(2) - 1) + 1)/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2) - theta(5)*(theta(1) + theta(2) - 1)*(((theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2 - theta(5)/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) + (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2 + (theta(3)*theta(5)^2*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2 - (2*theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1)*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^3))*(theta(1) + theta(2)))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2)))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2) - (theta(3)*theta(5)^2*(theta(1) + theta(2))*(theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2) - (theta(3)*theta(5)^2*(theta(1) + theta(2))*((theta(5)*(theta(2) - 1) + 1)/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(1) + theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*((theta(5)*(theta(2) - 1) + 1)/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(1) + theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) + (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*(theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1) + theta(5)*((theta(3)*theta(5))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(1) + theta(2) - 1))*(theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2) + (2*theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*(theta(3)*theta(5) + 1)*(theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^3) + (2*theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(5)*(theta(2) - 1) + 1)/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1) + theta(5)*((theta(3)*theta(5))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(1) + theta(2) - 1))*(theta(1) + theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^3*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) + (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(5)*(theta(2) - 1) + 1)/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(3)*theta(5) + 1)*(theta(1) + theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2);
    p_bar_hess(2,4) = 0;
    p_bar_hess(3,1) = (theta(5)*(theta(2) - 1) + 1)/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(5)*(theta(2) - 1) + 1)/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*((theta(5)*(theta(2) - 1) + 1)/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(1) + theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) + (theta(3)*theta(5)^2*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2) + (2*theta(3)*theta(5)^2*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(5)*(theta(2) - 1) + 1)/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^3*(theta(2) + theta(3)*theta(5)*(theta(2) - 1)));
    p_bar_hess(3,2) = (theta(5)*(theta(2) - 1) + 1)/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) + (theta(5)*(theta(1) + theta(2)))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - ((theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*(theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1) + theta(5)*((theta(3)*theta(5))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(1) + theta(2) - 1)))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - ((theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*(theta(3)*theta(5) + 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2)))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2) - (theta(3)*theta(5)^2*(theta(1) + theta(2))*(theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2) - (theta(3)*theta(5)^2*(theta(1) + theta(2))*((theta(5)*(theta(2) - 1) + 1)/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(1) + theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(5)*(theta(2) - 1) + 1)/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*((theta(5)*(theta(2) - 1) + 1)/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(1) + theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) + (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*(theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1) + theta(5)*((theta(3)*theta(5))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(1) + theta(2) - 1))*(theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2) + (2*theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*(theta(3)*theta(5) + 1)*(theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^3) + (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*(theta(1) + theta(2) - 1)*(((theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2 - theta(5)/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) + (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2 + (theta(3)*theta(5)^2*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2 - (2*theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1)*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^3))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) + (2*theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(5)*(theta(2) - 1) + 1)/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1) + theta(5)*((theta(3)*theta(5))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(1) + theta(2) - 1))*(theta(1) + theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^3*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) + (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(5)*(theta(2) - 1) + 1)/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(3)*theta(5) + 1)*(theta(1) + theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2);
    p_bar_hess(3,3) = (2*theta(3)*theta(5)^2*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*(theta(2) - 1)^2)/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^3) - (2*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(5)*(theta(2) - 1) + 1)/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(1) + theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (2*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*(theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2) + (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((2*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2 - (2*theta(3)*theta(5)^2*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1)^2)/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^3)*(theta(1) + theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) + (2*theta(3)*theta(5)^2*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(5)*(theta(2) - 1) + 1)/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)^2*(theta(1) + theta(2) - 1)^2)/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^3*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) + (2*theta(3)*theta(5)^2*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(5)*(theta(2) - 1) + 1)/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(2) - 1)*(theta(1) + theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2);
    p_bar_hess(3,4) = 0;
    p_bar_hess(4,1) = 0;
    p_bar_hess(4,2) = 0;
    p_bar_hess(4,3) = 0;
    p_bar_hess(4,4) = 0;
elseif ind == [1;0;0]
    p_bar_hess = zeros(4,4);
elseif ind == [1;0;1]
    p_bar_hess(1,1) = (theta(5)^2*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)^2*(theta(1) + theta(2)))/(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^3 - (theta(5)*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1))/(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2;
    p_bar_hess(1,2) = (real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1))) - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2)))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)) - (real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1) + theta(5)*(real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1)))/2 - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2))/2)*(theta(1) + theta(2) - 1)))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) - (theta(5)*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) - (theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1))) - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2)))*(theta(1) + theta(2)))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) - (theta(5)*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(theta(1) + theta(2))*(real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1)))/2 - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2))/2))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) + (theta(5)*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2))*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1) + theta(5)*(real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1)))/2 - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2))/2)*(theta(1) + theta(2) - 1)))/(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^3;
    p_bar_hess(1,3) = 0;
    p_bar_hess(1,4) = (theta(5)*real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2)))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) - real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)) + (theta(5)*real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(theta(1) + theta(2)))/(4*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) + (theta(5)*real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(theta(1) + theta(2) - 1))/(4*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) - (theta(5)^2*real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2))*(theta(1) + theta(2) - 1))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^3);
    p_bar_hess(2,1) = (real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1))) - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2)))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)) - (real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1) + theta(5)*(real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1)))/2 - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2))/2)*(theta(1) + theta(2) - 1)))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) - (theta(5)*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) - (theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1))) - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2)))*(theta(1) + theta(2)))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) - (theta(5)*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(theta(1) + theta(2))*(real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1)))/2 - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2))/2))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) + (theta(5)*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2))*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1) + theta(5)*(real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1)))/2 - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2))/2)*(theta(1) + theta(2) - 1)))/(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^3;
    p_bar_hess(2,2) = real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^3)) - real(((2*(theta(5) + theta(4)*theta(5) - 1)^2 - 8*theta(4)*theta(5)^2)/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))^2/(4*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(3/2)))/(theta(5)*(theta(2) - 1)))/2 - real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1)^2)) + (real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1))) - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2)))/(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1) - ((theta(1) + theta(2))*(2*real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1)^2)) + real(((2*(theta(5) + theta(4)*theta(5) - 1)^2 - 8*theta(4)*theta(5)^2)/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))^2/(4*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(3/2)))/(theta(5)*(theta(2) - 1))) - 2*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^3))))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)) - (real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1) + theta(5)*(real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1)))/2 - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2))/2)*(theta(1) + theta(2) - 1)))/(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2 - (real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(theta(1) + theta(2))*(2*theta(5)*(real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1)))/2 - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2))/2) - theta(5)*(theta(1) + theta(2) - 1)*(real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1)^2)) + real(((2*(theta(5) + theta(4)*theta(5) - 1)^2 - 8*theta(4)*theta(5)^2)/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))^2/(4*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(3/2)))/(theta(5)*(theta(2) - 1)))/2 - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^3)))))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) - ((real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1))) - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2)))*(theta(1) + theta(2))*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1) + theta(5)*(real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1)))/2 - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2))/2)*(theta(1) + theta(2) - 1)))/(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2 + (real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(theta(1) + theta(2))*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1) + theta(5)*(real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1)))/2 - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2))/2)*(theta(1) + theta(2) - 1))^2)/(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^3;
    p_bar_hess(2,3) = 0;
    p_bar_hess(2,4) = real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)^2))/2 + real((theta(5) + (4*theta(5)^2*(theta(2) - 1) - 2*theta(5)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*theta(5)*(theta(2) - 1)*(theta(5) + theta(4)*theta(5) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - ((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))*(4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1)))/(4*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(3/2)))/(theta(5)*(theta(2) - 1)))/2 - real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)) + ((real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)^2)) + real((theta(5) + (4*theta(5)^2*(theta(2) - 1) - 2*theta(5)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*theta(5)*(theta(2) - 1)*(theta(5) + theta(4)*theta(5) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - ((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))*(4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1)))/(4*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(3/2)))/(theta(5)*(theta(2) - 1))))*(theta(1) + theta(2)))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)) + (real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(theta(1) + theta(2))*((theta(5)*real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1))))/2 - theta(5)*(real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)^2))/2 + real((theta(5) + (4*theta(5)^2*(theta(2) - 1) - 2*theta(5)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*theta(5)*(theta(2) - 1)*(theta(5) + theta(4)*theta(5) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - ((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))*(4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1)))/(4*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(3/2)))/(theta(5)*(theta(2) - 1)))/2)*(theta(1) + theta(2) - 1)))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) + (real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))*(theta(1) + theta(2))*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1) + theta(5)*(real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1)))/2 - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2))/2)*(theta(1) + theta(2) - 1)))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) + (theta(5)*real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(theta(1) + theta(2) - 1))/(4*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) + (theta(5)*real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))*(real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1))) - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2)))*(theta(1) + theta(2))*(theta(1) + theta(2) - 1))/(4*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) - (theta(5)*real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(theta(1) + theta(2))*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1) + theta(5)*(real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1)))/2 - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2))/2)*(theta(1) + theta(2) - 1))*(theta(1) + theta(2) - 1))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^3);
    p_bar_hess(3,1) = 0;
    p_bar_hess(3,2) = 0;
    p_bar_hess(3,3) = 0;
    p_bar_hess(3,4) = 0;
    p_bar_hess(4,1) = (theta(5)*real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2)))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) - real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)) + (theta(5)*real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(theta(1) + theta(2)))/(4*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) + (theta(5)*real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(theta(1) + theta(2) - 1))/(4*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) - (theta(5)^2*real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2))*(theta(1) + theta(2) - 1))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^3);
    p_bar_hess(4,2) = real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)^2))/2 + real((theta(5) + (4*theta(5)^2*(theta(2) - 1) - 2*theta(5)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*theta(5)*(theta(2) - 1)*(theta(5) + theta(4)*theta(5) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - ((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))*(4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1)))/(4*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(3/2)))/(theta(5)*(theta(2) - 1)))/2 - real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)) + ((real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)^2)) + real((theta(5) + (4*theta(5)^2*(theta(2) - 1) - 2*theta(5)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*theta(5)*(theta(2) - 1)*(theta(5) + theta(4)*theta(5) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - ((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))*(4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1)))/(4*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(3/2)))/(theta(5)*(theta(2) - 1))))*(theta(1) + theta(2)))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)) + (real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))*(theta(1) + theta(2))*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1) + theta(5)*(real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1)))/2 - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2))/2)*(theta(1) + theta(2) - 1)))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) + (theta(5)*real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(theta(1) + theta(2)))/(4*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) + (theta(5)*real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(theta(1) + theta(2) - 1))/(4*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) + (theta(5)*real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))*(real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1))) - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2)))*(theta(1) + theta(2))*(theta(1) + theta(2) - 1))/(4*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) - (theta(5)*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)^2)) + real((theta(5) + (4*theta(5)^2*(theta(2) - 1) - 2*theta(5)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*theta(5)*(theta(2) - 1)*(theta(5) + theta(4)*theta(5) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - ((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))*(4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1)))/(4*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(3/2)))/(theta(5)*(theta(2) - 1))))*(theta(1) + theta(2))*(theta(1) + theta(2) - 1))/(4*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) - (theta(5)*real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(theta(1) + theta(2))*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1) + theta(5)*(real((theta(5) + (4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1) - 2*(theta(5) + theta(4)*theta(5) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) + 4*theta(4)*theta(5)^2*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) + theta(4)*theta(5) - 1)/(theta(5)*(theta(2) - 1)))/2 - real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)^2))/2)*(theta(1) + theta(2) - 1))*(theta(1) + theta(2) - 1))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^3);
    p_bar_hess(4,3) = 0;
    p_bar_hess(4,4) = real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^2/(4*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(3/2)) - (theta(5)^2*(theta(2) - 1)^2)/((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2))/(theta(5)*(theta(2) - 1)))/2 + (real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^2/(4*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(3/2)) - (theta(5)^2*(theta(2) - 1)^2)/((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2))/(theta(5)*(theta(2) - 1)))*(theta(1) + theta(2)))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)) - (theta(5)*real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))^2*(theta(1) + theta(2))*(theta(1) + theta(2) - 1))/(2*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2) + (theta(5)^2*real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(2*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2)) - theta(5)*(theta(2) - 1))/(theta(5)*(theta(2) - 1)))^2*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*(theta(1) + theta(2))*(theta(1) + theta(2) - 1)^2)/(4*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^3) - (theta(5)*real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))*real(((2*theta(5)*(theta(2) - 1)*(theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1) - 4*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^2/(4*((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(3/2)) - (theta(5)^2*(theta(2) - 1)^2)/((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2))/(theta(5)*(theta(2) - 1)))*(theta(1) + theta(2))*(theta(1) + theta(2) - 1))/(4*(theta(5)*(real((theta(5)*(theta(2) - 1) - ((theta(5)*(theta(2) - 1) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)^2 - 4*theta(4)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))^(1/2) - theta(2) + theta(4)*theta(5)*(theta(2) - 1) + 1)/(theta(5)*(theta(2) - 1)))/2 - 1)*(theta(1) + theta(2) - 1) - 1)^2);
elseif ind == [1;1;0]
    p_bar_hess = zeros(4,4);
elseif ind == [1;1;1]
    p_bar_hess(1,1) = (2*theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (2*theta(3)*theta(5)^2*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)^2)/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^3*(theta(2) + theta(3)*theta(5)*(theta(2) - 1)));
    p_bar_hess(1,2) = (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1) + theta(5)*((theta(3)*theta(5))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(1) + theta(2) - 1)))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (theta(3)*theta(5))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) + (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2) + (theta(3)*theta(5)^2*(theta(1) + theta(2))*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) + (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) + (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(3)*theta(5))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (2*theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1) + theta(5)*((theta(3)*theta(5))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(1) + theta(2) - 1)))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^3*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(3)*theta(5) + 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2);
    p_bar_hess(1,3) = (theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (theta(5)*(theta(2) - 1) + 1)/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) + (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2) + (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(5)*(theta(2) - 1) + 1)/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) + (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*((theta(5)*(theta(2) - 1) + 1)/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(1) + theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (theta(3)*theta(5)^2*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2) - (2*theta(3)*theta(5)^2*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(5)*(theta(2) - 1) + 1)/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^3*(theta(2) + theta(3)*theta(5)*(theta(2) - 1)));
    p_bar_hess(1,4) = 0;
    p_bar_hess(2,1) = (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1) + theta(5)*((theta(3)*theta(5))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(1) + theta(2) - 1)))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (theta(3)*theta(5))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) + (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2) + (theta(3)*theta(5)^2*(theta(1) + theta(2))*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) + (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) + (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(3)*theta(5))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (2*theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1) + theta(5)*((theta(3)*theta(5))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(1) + theta(2) - 1)))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^3*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(3)*theta(5) + 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2);
    p_bar_hess(2,2) = (2*theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1) + theta(5)*((theta(3)*theta(5))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(1) + theta(2) - 1)))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (2*theta(3)*theta(5))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) + (2*theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2) + (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*(2*theta(5)*((theta(3)*theta(5))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2) + theta(5)*((2*theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1)^2)/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^3 - (2*theta(3)*theta(5)*(theta(3)*theta(5) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(1) + theta(2) - 1)))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (2*theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*(theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1) + theta(5)*((theta(3)*theta(5))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(1) + theta(2) - 1))^2)/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^3*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (2*theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*(theta(3)*theta(5) + 1)^2)/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^3) + (2*theta(3)*theta(5)*(theta(1) + theta(2))*(theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1) + theta(5)*((theta(3)*theta(5))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(1) + theta(2) - 1)))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) + (2*theta(3)*theta(5)*(theta(1) + theta(2))*(theta(3)*theta(5) + 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2) - (2*theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*(theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1) + theta(5)*((theta(3)*theta(5))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(1) + theta(2) - 1))*(theta(3)*theta(5) + 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2);
    p_bar_hess(2,3) = ((theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*(theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1) + theta(5)*((theta(3)*theta(5))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(1) + theta(2) - 1)))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (theta(5)*(theta(1) + theta(2)))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (theta(5)*(theta(2) - 1) + 1)/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) + ((theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*(theta(3)*theta(5) + 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2) + (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(5)*((theta(5)*(theta(2) - 1) + 1)/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2) - theta(5)*(theta(1) + theta(2) - 1)*(((theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2 - theta(5)/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) + (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2 + (theta(3)*theta(5)^2*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2 - (2*theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1)*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^3))*(theta(1) + theta(2)))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) + (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2)))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2) + (theta(3)*theta(5)^2*(theta(1) + theta(2))*(theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2) + (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2) + (theta(3)*theta(5)^2*(theta(1) + theta(2))*((theta(5)*(theta(2) - 1) + 1)/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(1) + theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) + (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*((theta(5)*(theta(2) - 1) + 1)/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(1) + theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*(theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1) + theta(5)*((theta(3)*theta(5))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(1) + theta(2) - 1))*(theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2) - (2*theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*(theta(3)*theta(5) + 1)*(theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^3) - (2*theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(5)*(theta(2) - 1) + 1)/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1) + theta(5)*((theta(3)*theta(5))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(1) + theta(2) - 1))*(theta(1) + theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^3*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(5)*(theta(2) - 1) + 1)/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(3)*theta(5) + 1)*(theta(1) + theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2);
    p_bar_hess(2,4) = 0;
    p_bar_hess(3,1) = (theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (theta(5)*(theta(2) - 1) + 1)/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) + (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2) + (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(5)*(theta(2) - 1) + 1)/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) + (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*((theta(5)*(theta(2) - 1) + 1)/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(1) + theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (theta(3)*theta(5)^2*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2) - (2*theta(3)*theta(5)^2*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(5)*(theta(2) - 1) + 1)/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^3*(theta(2) + theta(3)*theta(5)*(theta(2) - 1)));
    p_bar_hess(3,2) = ((theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*(theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1) + theta(5)*((theta(3)*theta(5))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(1) + theta(2) - 1)))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (theta(5)*(theta(1) + theta(2)))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (theta(5)*(theta(2) - 1) + 1)/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) + ((theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*(theta(3)*theta(5) + 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2) + (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2)))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2) + (theta(3)*theta(5)^2*(theta(1) + theta(2))*(theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2) + (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2) + (theta(3)*theta(5)^2*(theta(1) + theta(2))*((theta(5)*(theta(2) - 1) + 1)/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(1) + theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) + (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(5)*(theta(2) - 1) + 1)/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) + (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*((theta(5)*(theta(2) - 1) + 1)/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(1) + theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*(theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1) + theta(5)*((theta(3)*theta(5))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(1) + theta(2) - 1))*(theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2) - (2*theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*(theta(3)*theta(5) + 1)*(theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^3) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*(theta(1) + theta(2) - 1)*(((theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2 - theta(5)/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) + (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2 + (theta(3)*theta(5)^2*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2 - (2*theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1)*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^3))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (2*theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(5)*(theta(2) - 1) + 1)/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1) + theta(5)*((theta(3)*theta(5))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*(theta(5)*(theta(2) - 1) + 1)*(theta(3)*theta(5) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(1) + theta(2) - 1))*(theta(1) + theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^3*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(5)*(theta(2) - 1) + 1)/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(3)*theta(5) + 1)*(theta(1) + theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2);
    p_bar_hess(3,3) = (2*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*(theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2) + (2*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(5)*(theta(2) - 1) + 1)/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(1) + theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (2*theta(3)*theta(5)^2*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*(theta(2) - 1)^2)/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^3) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((2*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2 - (2*theta(3)*theta(5)^2*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1)^2)/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^3)*(theta(1) + theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (2*theta(3)*theta(5)^2*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(5)*(theta(2) - 1) + 1)/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)^2*(theta(1) + theta(2) - 1)^2)/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^3*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))) - (2*theta(3)*theta(5)^2*(theta(5)*(theta(2) - 1) + 1)*(theta(1) + theta(2))*((theta(5)*(theta(2) - 1) + 1)/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - (theta(3)*theta(5)*(theta(5)*(theta(2) - 1) + 1)*(theta(2) - 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2)*(theta(2) - 1)*(theta(1) + theta(2) - 1))/((theta(5)*((theta(3)*(theta(5)*(theta(2) - 1) + 1))/(theta(2) + theta(3)*theta(5)*(theta(2) - 1)) - 1)*(theta(1) + theta(2) - 1) - 1)^2*(theta(2) + theta(3)*theta(5)*(theta(2) - 1))^2);
    p_bar_hess(3,4) = 0;
    p_bar_hess(4,1) = 0;
    p_bar_hess(4,2) = 0;
    p_bar_hess(4,3) = 0;
    p_bar_hess(4,4) = 0;
end